#import "SoundPlayer.h"

@implementation SoundPlayer

-(id) init {
    if ( (self = [super init] ) ) {
        InitAudioDevice();
        wav = LoadSound("gun-gunshot-02.wav");
    }

    return self;
}

-(void) dealloc {
    UnloadSound(wav);
    CloseAudioDevice();
    [super dealloc];
}

-(void) play {
    PlaySound(wav);
}
@end